CycleRunsController_rollback
POST
/api/cycles/runs/{runId}/rollback
const url = 'https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rollback';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"targetPhaseIdx":1,"rerunAgent":true,"acknowledgement":"close_without_agent_reply","expectedPhaseId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","expectedActivationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","actionAttemptId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","undoOfTransitionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rollback \ --header 'Content-Type: application/json' \ --data '{ "targetPhaseIdx": 1, "rerunAgent": true, "acknowledgement": "close_without_agent_reply", "expectedPhaseId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedActivationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "actionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "undoOfTransitionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
targetPhaseIdx
integer
rerunAgent
boolean
acknowledgement
string
expectedPhaseId
string format: uuid
expectedActivationId
string format: uuid
actionAttemptId
string format: uuid
undoOfTransitionId
string format: uuid